Get Essbase Script Permissions
/applications/{applicationName}/databases/{databaseName}/scripts/{scriptName}/permissions
Retrieves permissions for the specified script. Applicable only for calculation scripts.
Request
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
-
scriptName(required):
Script name.
Response
200 Response
Script permissions retrieved successfully.
400 Response
Bad Request
Failed to get permissions for the script. The application, database, or script name may be incorrect.
500 Response
Internal Server Error.
Examples
The following example shows how to use the Essbase REST API to get the user or group permissions associated with a calc script.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Get Calc Script Permissions
call properties.bat
curl -X GET https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/scripts/actuals/permissions -H "accept: application/json" -u %User%:%Password%
Example of Response Body
{
"items" : [ {
"id" : "user1"
} ]
}